{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 191{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 67 "Chapter 11.2  Functions of More Than One Variable Giv
en by Formulas"}}{COM_R 4 0{TEXT 1 139 "As an example of some of \+
the things that can be done  when studying  functions of two vari
ables define a  function  z = f(x,y)  as follows:"}}{COM_R 5 0
{TEXT 1 60 "                                        z =  sin(x) c
os(y). "}}{COM_R 6 0{TEXT 1 71 "As with a function  of one variab
le you can enter it as an expression:\015"}}{INP_R 7 0 "> "{TEXT 
0 19 "f := sin(x)*cos(y);"}}{COM_R 8 0{TEXT 1 0 ""}}{COM_R 9 0
{TEXT 1 80 "The \"subs\" command can be used to find the value of
 the expression at,  say, the"}}{COM_R 10 0{TEXT 1 18 "point (Pi/
4,Pi/3)."}}{COM_R 11 0{TEXT 1 0 ""}}{INP_R 12 0 "> "{TEXT 0 24 "s
ubs(\{x=Pi/4,y=Pi/3\},f);"}}{COM_R 13 0{TEXT 1 54 "\015Perhaps th
is answer is better if written as follows :"}}{COM_R 14 0{TEXT 1 
0 ""}}{INP_R 15 0 "> "{TEXT 0 8 "eval(\");"}}{COM_R 16 0{TEXT 1 
126 "\015It is sometimes useful to obtain the value of the functi
on in floating point form.  In this case the command \"evalf\" is
 used."}}{COM_R 17 0{TEXT 1 0 ""}}{INP_R 18 0 "> "{TEXT 0 9 "eval
f(\");"}}{COM_R 19 0{TEXT 1 135 "If it is desired that the expres
sion  f  be given in terms of a function,  then one can define th
e function directly with the statement"}}{COM_R 20 0{TEXT 1 1 " "
}}{COM_R 21 0{TEXT 1 82 "                                        \+
          >  f := (x,y)- >  sin(x)*cos(y);"}}{COM_R 22 0{TEXT 1 1
 " "}}{COM_R 23 0{TEXT 1 31 "or apply the command \"unapply\"."}}
{COM_R 24 0{TEXT 1 0 ""}}{INP_R 25 0 "> "{TEXT 0 21 " h := unappl
y(f,x,y);"}}{COM_R 26 0{TEXT 1 80 "In either case evaluating  f  \+
at (Pi/4,Pi/3)  is now accomplished as  follows:# "}}{COM_R 27 0
{TEXT 1 0 ""}}{INP_R 28 0 "> "{TEXT 0 13 "h(Pi/4,Pi/3);"}}{INP_R 
29 0 "> "{TEXT 0 9 "evalf(\");"}}{COM_R 30 0{TEXT 1 121 "In Maple
 V there are two ways to study a function:  as an expression or a
s a Maple defined function. Which do you prefer?"}}{COM_R 31 0
{TEXT 1 98 "The graph of a function of the form z= f(x,y) is a su
rface.  The graph of  the expression f  for  "}}{COM_R 32 0{TEXT 
1 91 "-Pi  <=  x <= Pi,   -Pi <=  y <= Pi  can  be obtained with \+
the command \"plot3d\" as follows:"}}{COM_R 33 0{TEXT 1 0 ""}}
{INP_R 34 0 "> "{TEXT 0 30 "plot3d(f,x=-Pi..Pi,y=-Pi..Pi);"}}
{COM_R 35 0{TEXT 1 297 "\015Recall that there are differences in \+
syntax when plotting an expression, as \"f\" is in this example, \+
 and a function,  as ``h'' is in this example, when using the \"p
lot\" command for the one variable case. The same plot as above c
an be also obtained for the function  h  with the command  \"plot
3d\"."}}{COM_R 36 0{TEXT 1 0 ""}}{INP_R 37 0 "> "{TEXT 0 35 "plot
3d(h(x,y),x=-Pi..Pi,y=-Pi..Pi);"}}{COM_R 38 0{TEXT 1 0 ""}}{COM_R
 39 0{TEXT 1 373 "If the \"plot3d\" command is properly executed \+
then Maple V will open a new window with the 3d plot included in \+
it.  You can view this plot from different angles as was done in \+
the previous section.  Do this by clicking on the plot with the l
eft mouse  button and holding the button down.  A box will appear
  in place of the plot.  Move the mouse while holding the left mo
use"}}{COM_R 40 0{TEXT 1 94 "button  down and you view the box fr
om different angles.  The Theta and Phi in the upper left "}}
{COM_R 41 0{TEXT 1 449 "corner describe the view angles.  Let go \+
of the left mouse button.  If you  wish Maple to show the plot wi
th the new angle then press and release the middle mouse button. \+
There are also many other options available in the 3d plot window
.  The  \"style\", \"color\", \"axes\",  or \"projection\" can be
 changed through pull down menus.  The plot can be copied and pas
ted into the the worksheet in the same way as was demonstrated in
 the introductory lesson. "}}{COM_R 42 0{TEXT 1 159 "HINT: You ca
n make your 3d plot window smaller and paste the result into the \+
worksheet to reduce the amount of paper needed when printing hard
  copy versions. "}}{COM_R 43 0{TEXT 1 237 "WARNING:   It is impo
rtant to keep in mind that the syntax for plotting  Maple V expre
ssions is different than the one for plotting Maple V functions. \+
The following two Maple commands lead to an error messages and  d
o not provide plots. "}}{COM_R 44 0{TEXT 1 0 ""}}{INP_R 45 0 "> "
{TEXT 0 53 "plot3d(f,-Pi..Pi,-Pi..Pi); # Here f is an expression \+
"}}{COM_R 46 0{TEXT 1 0 ""}}{INP_R 47 0 "> "{TEXT 0 54 "plot3d(h(
x,y),-Pi..Pi,-Pi..Pi); # Here h is a function"}}{COM_R 48 0{TEXT 
1 0 ""}}{COM_R 49 0{TEXT 1 0 ""}}{COM_R 50 0{TEXT 1 0 ""}}{COM_R 
51 0{TEXT 1 45 "Nevertheless,  the following command is okay."}}
{COM_R 52 0{TEXT 1 0 ""}}{INP_R 53 0 "> "{TEXT 0 26 "plot3d(h,-Pi
..Pi,-Pi..Pi);"}}{COM_R 54 0{TEXT 1 0 ""}}{COM_R 55 0{TEXT 1 241 
"If you wish to make a multiple plot involving two surfaces, then
 this can  be accomplished in the same way that multiple plots ca
n be made with curves.  We now plot the function  h(x,y)  defined
 above along with the expression  x^2  sin(y). "}}{COM_R 56 0
{TEXT 1 0 ""}}{INP_R 57 0 "> "{TEXT 0 48 "plot3d(\{x^2*sin(y),h(x
,y)\},x=-Pi..Pi,y=-Pi..Pi);"}}{COM_R 58 0{TEXT 1 0 ""}}{COM_R 59 
0{TEXT 1 250 "The set of Maple V library routines that reside in \+
\"plots\" contains many procedures that help in analyzing functio
ns of two or more variables.  In particular the command \"contour
plot\"  can be used to plots level curves of a function of two va
riables."}}{COM_R 60 0{TEXT 1 0 ""}}{INP_R 61 0 "> "{TEXT 0 12 "w
ith(plots):"}}{INP_R 62 0 "> "{TEXT 0 40 "contourplot(h(x,y),x=-P
i..Pi,y=-Pi..Pi);"}}{COM_R 63 0{TEXT 1 86 "You can move the plot \+
in this window around to view this plot from different angles.# "
}}{COM_R 64 0{TEXT 1 135 "To get an idea about the relationship b
etween  \"contourplot\" and  \"plot3d\" study the plot resulting \+
from the following Maple V command."}}{COM_R 65 0{TEXT 1 0 ""}}
{INP_R 66 0 "> "{TEXT 0 48 "plot3d(h(x,y),x=-Pi..Pi,y=-Pi..Pi,sty
le=contour,"}}{INP_R 67 0 "> "{TEXT 0 36 "             orientatio
n = [270,0]);"}}{COM_R 68 0{TEXT 1 292 "Indeed using the option \
"style = contour\" as in the last command gives  exactly the same
 plot as \"contourplot\".  Try it. The above Maple V segment show
s that contours  are easy to obtain but the  previous commands do
 not  provide much insight into which level a particular curve co
rresponds. "}}{COM_R 69 0{TEXT 1 0 ""}}{COM_R 70 0{TEXT 1 151 "Le
t us now illustrate how to use Maple V to obtain the level curve \+
 h(x,y) = 0.6 .  First we make a plot of the surface  z = h(x,y) \+
 and label it \"P1\"."}}{COM_R 71 0{TEXT 1 0 ""}}{INP_R 72 0 "> "
{TEXT 0 66 " P1 := plot3d(h(x,y),x=-Pi..Pi,y=-Pi..Pi,orientation \+
= [15,60]):\";"}}{COM_R 73 0{TEXT 1 79 "\015Using the command \"i
mplicitplot3d\"  (from \"plots\")  we plot the plane  h= 0.6."}}
{COM_R 74 0{TEXT 1 0 ""}}{INP_R 75 0 "> "{TEXT 0 56 "P2 := implic
itplot3d(z=0.6,x=-Pi..Pi,y=-Pi..Pi,z= -1..1,"}}{INP_R 76 0 "> "
{TEXT 0 37 "               style=patchnogrid): \";"}}{COM_R 77 0
{TEXT 1 151 "\015Now we display the surface  z = h(x,y)  along wi
th the plane   z = 0.6.  Observe that the plane intersects the su
rface in three curves (level curves)."}}{COM_R 78 0{TEXT 1 0 ""}}
{INP_R 79 0 "> "{TEXT 0 70 "display3d(\{P1,P2\},tickmarks=[4,4,4]
,orientation = [15,60],axes=boxed);"}}{COM_R 80 0{TEXT 1 0 ""}}
{COM_R 81 0{TEXT 1 240 "You can use the \"plots\" Library routine
  \"implicitplot\" to obtain the level curves or contour curves f
or  z = h(x,y)   at  z = 0.6.  These curves represent the project
ion onto the xy-plane of the curve cut out by  z = 0.6  from  z =
 h(x,y)."}}{COM_R 82 0{TEXT 1 0 ""}}{INP_R 83 0 "> "{TEXT 0 49 "i
mplicitplot(h(x,y) = 0.6, x=-Pi..Pi, y=-Pi..Pi);"}}{COM_R 84 0
{TEXT 1 0 ""}}{COM_R 85 0{TEXT 1 214 "In the following the \"plot
s\" procedure \"implicitplot3d\" is used to illustrate that the l
evel curves are also represented as the intersection  of three cy
linders defined implicitly in  three space by  h(x,y) = 0.6. "}}
{COM_R 86 0{TEXT 1 0 ""}}{INP_R 87 0 "> "{TEXT 0 71 "implicitplot
3d(\{h(x,y) = 0.6, z=0.6\}, x = -Pi..Pi, y=-Pi..Pi, z=-1..1);"}}
{COM_R 88 0{TEXT 1 0 ""}}{COM_R 89 0{TEXT 1 178 "You can get the \+
planar view of these  same curves after you have changed the orie
ntation so that Theta  = 270,  and Phi = 0. The following Maple V
 command also creates this plot."}}{COM_R 90 0{TEXT 1 0 ""}}
{INP_R 91 0 "> "{TEXT 0 65 "implicitplot3d(\{h(x,y) = 0.6, z=0.6\
}, x = -Pi..Pi, y=-Pi..Pi, z=-"}}{INP_R 92 0 "> "{TEXT 0 45 "1..1
,orientation=[270,0],style=PATCHCONTOUR);"}}{COM_R 93 0{TEXT 1 0 
""}}{COM_R 94 0{TEXT 1 50 "The next example deals with a simpler \+
function,   "}}{COM_R 95 0{TEXT 1 76 "                           \+
                             j(x,y) = x^2 + y^2, "}}{COM_R 96 0
{TEXT 1 65 "that permits more explicit representations.  First de
fine j(x,y)."}}{COM_R 97 0{TEXT 1 0 ""}}{INP_R 98 0 "> "{TEXT 0 
22 "j := (x,y) -> x^2+y^2;"}}{COM_R 99 0{TEXT 1 63 "We can plot t
he graph of this function over the square domain: "}}{COM_R 100 0
{TEXT 1 82 "                                                 -3 <
=  x <=  3,   -3 <=  y <= 3. "}}{COM_R 101 0{TEXT 1 0 ""}}{INP_R 
102 0 "> "{TEXT 0 31 "plot3d(j(x,y),x=-3..3,y=-3..3);"}}{COM_R 
103 0{TEXT 1 0 ""}}{COM_R 104 0{TEXT 1 59 "Or we can plot the gra
ph over the over the circular domain:"}}{COM_R 105 0{TEXT 1 76 " \+
                                                        x^2 +  y^
2  <=  9. "}}{COM_R 106 0{TEXT 1 0 ""}}{INP_R 107 0 "> "{TEXT 0 
63 "P1 := plot3d(j(x,y), x=-3..3, y= -sqrt(9-x^2)..sqrt(9-x^2)): \+
\";"}}{COM_R 108 0{TEXT 1 0 ""}}{COM_R 109 0{TEXT 1 34 "The plane
  z = 6  is plotted next."}}{COM_R 110 0{TEXT 1 0 ""}}{INP_R 111 
0 "> "{TEXT 0 57 "P2 := plot3d(6,x=-3..3, y= -3..3,style = patchn
ogrid): \";"}}{COM_R 112 0{TEXT 1 0 ""}}{COM_R 113 0{TEXT 1 90 "T
he curve cut from the surface z = j(x,y) by the plane z = 6 can b
e envisioned as follows:"}}{COM_R 114 0{TEXT 1 0 ""}}{INP_R 115 0
 "> "{TEXT 0 71 "display3d(\{P1,P2\},axes=frame, tickmarks = [4,4
,4],orientation=[45,60]);"}}{COM_R 116 0{TEXT 1 173 "In order to \+
get a better idea of this intersection curve observe that any poi
nt with coordinates                                          ( sq
rt(6) cos(t), sqrt(6) sin(t),6)"}}{COM_R 117 0{TEXT 1 182 "lies o
n both the plane  z = 6  and the surface  z = j(x,y).  This means
 that the curve of intersection of the surface and the plane is p
arameterized by the following three equations:"}}{COM_R 118 0
{TEXT 1 84 "                                x =  sqrt(6) cos(t), \+
  y =  sqrt(6) sin(t),  z = 6. "}}{COM_R 119 0{TEXT 1 60 "Using t
he \"plots\"  package procedure \"spacecurve\" we obtain:"}}
{COM_R 120 0{TEXT 1 0 ""}}{INP_R 121 0 "> "{TEXT 0 74 "P3 := spac
ecurve([sqrt(6)*cos(t), sqrt(6)*sin(t),6],t=0..2*Pi,color=black,"
}}{INP_R 122 0 "> "{TEXT 0 16 "thickness=3): \";"}}{COM_R 123 0
{TEXT 1 0 ""}}{COM_R 124 0{TEXT 1 71 "The next plot shows  curve \+
of intersection along with the two surfaces."}}{COM_R 125 0{TEXT 
1 0 ""}}{INP_R 126 0 "> "{TEXT 0 74 "display3d(\{P1,P2,P3\},tickm
arks=[4,4,4],orientation = [40,120],axes=boxed);"}}{COM_R 127 0
{TEXT 1 0 ""}}{COM_R 128 0{TEXT 1 144 "The contour curves  are th
e level curves projected onto the  z = 0  plane,  and thus the fo
llowing Maple V command creates a plot of this curve."}}{COM_R 
129 0{TEXT 1 0 ""}}{INP_R 130 0 "> "{TEXT 0 71 "P4 := spacecurve(
[sqrt(6)*cos(t),sqrt(6)*sin(t),0],t=0..2*Pi,color=red,"}}{INP_R 
131 0 "> "{TEXT 0 13 "thickness=3):"}}{COM_R 132 0{TEXT 1 0 ""}}
{COM_R 133 0{TEXT 1 96 "A three dimensional plot of the curve of \+
intersection of  z = 6  and  z = j(x,y),   the surfaces"}}{COM_R 
134 0{TEXT 1 67 "themselves and the contour curve on the same fig
ure is given below."}}{COM_R 135 0{TEXT 1 0 ""}}{INP_R 136 0 "> "
{TEXT 0 55 "display3d(\{P1,P2,P3,P4\},tickmarks=[4,4,4],orientati
on ="}}{INP_R 137 0 "> "{TEXT 0 21 "[40,120],axes=boxed);"}}
{COM_R 138 0{TEXT 1 0 ""}}{COM_R 139 0{TEXT 1 186 "The contour cu
rve is the projection of  the curve of intersection of the plane \+
 z = 6  and the surface  z = j(x,y)  onto the xy-plane.  These tw
o curves lie on the cylinder  j(x,y) = 6. "}}{COM_R 140 0{TEXT 1 
0 ""}}{INP_R 141 0 "> "{TEXT 0 58 "P5 := implicitplot3d(j(x,y)=6,
x=-3..3,y=-3..3,z= 0..6): \";"}}{COM_R 142 0{TEXT 1 38 "\015The f
ollowing plot shows all of this."}}{COM_R 143 0{TEXT 1 0 ""}}
{INP_R 144 0 "> "{TEXT 0 58 "display3d(\{P1,P2,P3,P4,P5\},tickmar
ks=[4,4,4],orientation ="}}{INP_R 145 0 "> "{TEXT 0 23 "  [40,120
],axes=boxed);"}}{COM_R 146 0{TEXT 1 71 "\015Now we illustrate ho
w to graph certain curves that lie on the surface "}}{COM_R 147 0
{TEXT 1 72 "                                                     \+
    z = x^2 + y^2. "}}{COM_R 148 0{TEXT 1 74 "First the surface i
s plotted using the built in  Maple V command \"plot3d\"."}}
{COM_R 149 0{TEXT 1 0 ""}}{INP_R 150 0 "> "{TEXT 0 40 "P1 := plot
3d(j(x,y),x=-3..3,y=-3..3): \";"}}{COM_R 151 0{TEXT 1 57 "\015We \+
now wish to show the plane x = 2 cutting the surface "}}{COM_R 
152 0{TEXT 1 71 "                                                \+
         z =x^2 + y^2. "}}{COM_R 153 0{TEXT 1 108 "To do this we \+
use the built in Maple V library routine in \"plots\" called \"im
plicitplot3d\" to plot the plane."}}{COM_R 154 0{TEXT 1 0 ""}}
{INP_R 155 0 "> "{TEXT 0 70 "P2 := implicitplot3d(x=2,x=-3..3,y=-
3..3,z=0..20,style=patchnogrid):\";"}}{COM_R 156 0{TEXT 1 108 "\0
15The Maple V library routine in \"plots\" called \"display3d\" i
s used  to plot both the plane and the surface  "}}{COM_R 157 0
{TEXT 1 79 "                                                     \+
           z = x^2 + y^2. "}}{COM_R 158 0{TEXT 1 0 ""}}{INP_R 159
 0 "> "{TEXT 0 73 "display3d(\{P1,P2\},tickmarks=[4,4,4],orientat
ion = [40,120], axes=framed);"}}{COM_R 160 0{TEXT 1 0 ""}}{COM_R 
161 0{TEXT 1 32 "The plane  x =2 and the surface "}}{COM_R 162 0
{TEXT 1 55 "                                z = j(x,y) = x^2 + y^
2 "}}{COM_R 163 0{TEXT 1 81 "intersect in a curve.  This curve is
 represented parametrically by the equations:"}}{COM_R 164 0{TEXT
 1 66 "                         x = 2,   y = t,  z = j(2,t) = 2^2
 + t^2. "}}{COM_R 165 0{TEXT 1 0 ""}}{COM_R 166 0{TEXT 1 165 "You
 should make sure that you understand why all the points  (x,y,z)
  that satisfy the above three equations also satisfy both the eq
uation  z = j(x,y)  and  x = 2 ."}}{COM_R 167 0{TEXT 1 95 "The  M
aple V library procedure in \"plots\" called \"spacecurve\"  is  \+
now used to plot this curve."}}{COM_R 168 0{TEXT 1 0 ""}}{INP_R 
169 0 "> "{TEXT 0 66 "P3 := spacecurve([2,t,j(2,t)],t=-3..3,thick
ness=3,color=black): \";"}}{COM_R 170 0{TEXT 1 0 ""}}{COM_R 171 0
{TEXT 1 94 "Now the combined plot of the surface,  the plane,  an
d the curve of  intersection is obtained."}}{COM_R 172 0{TEXT 1 0
 ""}}{INP_R 173 0 "> "{TEXT 0 73 "display3d(\{P1,P2,P3\},tickmark
s=[4,4,4],axes=framed,orientation=[40,120]);"}}{COM_R 174 0{TEXT 
1 0 ""}}{COM_R 175 0{TEXT 1 192 "Similarly other curves that lie \+
on the intersection of the surface and a plane parallel to the xz
- plane are plotted. The curve of intersection of the plane  y = \+
3  and the surface z = j(x,y) "}}{COM_R 176 0{TEXT 1 33 "is repre
sented parametrically by "}}{COM_R 177 0{TEXT 1 70 "             \+
                            x = t,  y = 3,   z = j(t,3). "}}
{COM_R 178 0{TEXT 1 33 "This curve is plotted as follows:"}}
{COM_R 179 0{TEXT 1 0 ""}}{INP_R 180 0 "> "{TEXT 0 65 "P4 := spac
ecurve([t,3,j(t,3)],t=-3..3,thickness=3,color=black):\";"}}{COM_R
 181 0{TEXT 1 0 ""}}{COM_R 182 0{TEXT 1 90 "Finally,  the curve w
hich the plane  y = -2 cuts out of the surface is plotted as foll
ows:"}}{COM_R 183 0{TEXT 1 0 ""}}{INP_R 184 0 "> "{TEXT 0 67 "P5 \+
:= spacecurve([t,-2,j(t,-2)],t=-3..3,thickness=3,color=black):\";
"}}{COM_R 185 0{TEXT 1 0 ""}}{COM_R 186 0{TEXT 1 160 "The three c
urves and the surface are plotted together by the next Maple V  c
ommand.Can you identify each of the curves in the plot with the c
orresponding plane?"}}{COM_R 187 0{TEXT 1 0 ""}}{INP_R 188 0 "> "
{TEXT 0 72 "display3d(\{P1,P3,P4,P5\},tickmarks=[4,4,4],axes=fram
ed,style = wireframe,"}}{INP_R 189 0 "> "{TEXT 0 18 "labels = [x,
y,z]);"}}{COM_R 190 0{TEXT 1 0 ""}}{SEP_R 191 0}{INP_R 192 0 "> "
{TEXT 0 0 ""}}}{END}
