{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 39{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 29 "Chapter 12.2  Local Linearity"}}{COM_R 4 0{TEXT 1 244
 "In the same way that the tangent line at a point can be compute
d for a function of one variable,  one can compute the tangent pl
ane for a  function of two variables. The tangent plane for a fun
ction  z = f(x,y) at the point  (a,b)   is given by"}}{COM_R 5 0
{TEXT 1 57 "                 z = f(a,b) + fx(a,b)(x-a)+fy(a,b)(y-
b). "}}{COM_R 6 0{TEXT 1 151 "The function given by the right-han
d side of the last equation is called the linear approximation of
  f(x,y)  at the point  (a,b).   As an example let "}}{COM_R 7 0
{TEXT 1 72 "                                                g(x,y
)=4 -  x^2  -  y^2."}}{COM_R 8 0{TEXT 1 0 ""}}{INP_R 9 0 "> "
{TEXT 0 24 "g := (x,y) -> 4-x^2-y^2;"}}{COM_R 10 0{TEXT 1 0 ""}}
{COM_R 11 0{TEXT 1 55 "Now compute the tangent plane to  z = g(x,
y)  at (3,4)."}}{COM_R 12 0{TEXT 1 0 ""}}{INP_R 13 0 "> "{TEXT 0 
40 "gx(3,2) := subs(x=3,y=2,diff(g(x,y),x));"}}{INP_R 14 0 "> "
{TEXT 0 40 "gy(3,2) := subs(x=3,y=2,diff(g(x,y),y));"}}{INP_R 15 
0 "> "{TEXT 0 56 " LinApprx := (x,y)-> g(3,2)+gx(3,2)*(x-3)+gy(3,
2)*(y-2);"}}{INP_R 16 0 "> "{TEXT 0 15 " LinApprx(x,y);"}}{COM_R 
17 0{TEXT 1 60 "We can compare the graph of  g(x,y)  with its lin
earization:"}}{COM_R 18 0{TEXT 1 0 ""}}{INP_R 19 0 "> "{TEXT 0 51
 "P1 := plot3d(g(x,y),x=-4..4,y=-4..4,style=patch):\";"}}{INP_R 
20 0 "> "{TEXT 0 46 "P2 := plot3d(LinApprx(x,y),x=-2..4,y=-2..3):
\";"}}{INP_R 21 0 "> "{TEXT 0 50 "plots[display3d](\{P1,P2\},axes
=boxed,view=-20..30);"}}{COM_R 22 0{TEXT 1 96 "\015In order to ge
t an idea as to how well the linear approximation does its job co
nsider the error"}}{COM_R 23 0{TEXT 1 62 "                       \+
             |g(x,y) - LinApprx(x,y)|  "}}{COM_R 24 0{TEXT 1 139 
"in the approximation where  (x,y)  is taken from the sequence of
 points (4,3),  (3.8,2.8),  (3.6,2.6),  (3.4,2.4),  (3.2,2.2),  a
nd (3,2). "}}{COM_R 25 0{TEXT 1 97 "Using the \"seq\"  we can obs
erve how the error decreases as this sequence of points goes to (
3,2)."}}{COM_R 26 0{TEXT 1 0 ""}}{INP_R 27 0 "> "{TEXT 0 61 "seq(
evalf(abs(g(4-i/5,3-i/5)-LinApprx(4-i/5,3-i/5))),i=0..5);"}}
{COM_R 28 0{TEXT 1 100 "\015The following command illustrates how
 the \"zip\" command can be used to obtain the same error terms."
}}{COM_R 29 0{TEXT 1 0 ""}}{INP_R 30 0 "> "{TEXT 0 39 "zip((x,y) \+
-> abs(g(x,y)-LinApprx(x,y)),"}}{INP_R 31 0 "> "{TEXT 0 46 " [4,3
.8,3.6,3.4,3.2,3],[3,2.8,2.6,2.4,2.2,2]);"}}{COM_R 32 0{TEXT 1 70
 "\015As one might expect the error gets smaller as (x,y) approac
hes (3,2)."}}{COM_R 33 0{TEXT 1 240 "Recall that another way to f
ind linear approximations to a function was to use  Taylor Polyno
mials.   The next Maple V  segment illustrates how the command \"
mtaylor\" can be used to obtain the same linear approximation tha
t was found above. "}}{COM_R 34 0{TEXT 1 0 ""}}{INP_R 35 0 "> "
{TEXT 0 17 "readlib(mtaylor);"}}{INP_R 36 0 "> "{TEXT 0 28 "mtayl
or(g(x,y),[x=3,y=2],2);"}}{SEP_R 37 0}{INP_R 38 0 "> "{TEXT 0 0 "
"}}{COM_R 39 0{TEXT 1 95 "\015Thus  the multivariable Taylor Poly
nomial of degree 1 is the same as the linear approximation."}}
{COM_R 40 0{TEXT 1 0 ""}}}{END}
