{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 40{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 39 "Chapter 12.4  Quadratic  Approximations"}}{COM_R 4 0
{TEXT 1 278 "Just as one can use the Maple V procedure \"mtaylor\
" to linearly approximate functions of more than one variable,  o
ne can also find higher order approximations of these same functi
ons.  Using \"mtaylor\" it is easy to obtain Taylor Polynomials o
f  degree 2.  The following Maple V"}}{COM_R 5 0{TEXT 1 75 "segme
nt shows how one can find the quadratic approximation for the fun
ction"}}{COM_R 6 0{TEXT 1 65 "                                   \+
       f(x,y) =  sin x  cos y."}}{COM_R 7 0{TEXT 1 97 "near the p
oint  (0,0).  First we make the procedure \"mtaylor\" available w
ith a call to \"readlib\"."}}{COM_R 8 0{TEXT 1 0 ""}}{INP_R 9 0 "
> "{TEXT 0 17 "readlib(mtaylor);"}}{OUT_R 10 0 9{DAG @8,1,9n3\`f`
n3\`k`n3\`v`n3\`m`n3\`n`n3\`s`n3\`t`n3\`w`,2nD\`Copyright~`1993~`
by~`Waterloo~`Maple~`Software`p1;11:3l2x0001b3a2x-001,2j2x0001:3l
2x0003b3p26,2j2x0002?5(3n4\`type`,3p2Cn3\`set`:3p2C[2,2(3n3\`op`,
2p2C!2(3p35,3p2Cn4\`list`:3p2C[2p43?3!2(3p35,3p2C(3p4A,2%2,3n4\`n
ame`=3p5Cn5\`algebraic`(3n4\`ERROR`,2nC\`invalid~`2nd~`argument~`
(expansion~`point)`:3l2x0006(3n3\`map`,3@8,2n3\`x`p1p1p1?4(3p35,3
a2x0001n3\`=`(3n3\`rhs`,2p87j2x0000p1p1p2C:3p2C(3p79,3@8p7Dp1p1p1
?4p84(3n3\`lhs`p8Ep87p1p1p2C:3l2x0004(3n4\`nops`p43?3>3pAA(3pAD,2
%2p3F(3p66,2nC\`variables~`(2nd~`argument)~`must~`be~`unique`?4=3
a2x0000p31:3l2x0005j2x0006:3pCDb3p26,2j2x0003?4=3pC9j2x0004:3l2x0
008b3p26,2pDB:3pDE[2,2(3n3\`$`,3p29pAA?3!2(3p35,3p2C%2,3(3p4A,2p5
C(3p3ApF8(3p66,2nE\`2nd~`argument~`(the~`variable(s))~`must~`be~`
a~`names`?3&3!2(3p35,3pCDn5\`nonnegint`>3pCDn5\`infinity`(3p66,2n
10\`3rd~`argument~`(the~`order)~`must~`be~`a~`non-negative~`integ
er`?3|3!2(3p35,3pDE(3p4A,2n4\`posint`>3(3pAD,2pDEpAA(3p66,2n11\`4
th~`argument~`(weights)~`must~`be~`a~`list~`of~`positive~`integer
s`:3p23(3n4\`subs`,3[2,2(3n3\`seq`,3=3b3p2C,2l2x0002+5*5p164p29^3
l2x0007b3pDEp166p29p29b3p76p166p29=3p167~3p29pAAp23:3p23(3p79,5n4
\`collect`(3p159,3=3(3n3\`O`p28p90(3n4\`taylor`,4p23p16EpCDp2Cu2n
5\`distributed`:3p23(3p159,3[2,2(3p160,3=3p164+5p164p29p175i2x000
1p179(3p159,3=3p16Ep29p23p1p1}{TEXT 2 16 "\012proc() ... end\012"
}}{COM_R 11 0{TEXT 1 0 ""}}{COM_R 12 0{TEXT 1 29 "Now define the \+
function  f. \015"}}{INP_R 13 0 "> "{TEXT 0 27 "f := (x,y)-> sin(
x)*sin(y);"}}{OUT_R 14 0 13{DAG :3n3\`f`@8,3n3\`x`n3\`y`,1,3n5\`o
perator`n4\`arrow`p9*5(3n3\`sin`,2a2x0001j2x0001(3p15,2a2x0002p1A
p9p9}}{COM_R 15 0{TEXT 1 76 "\015Now invoke the procedure and ass
ign the approximation to the variable f2. \015"}}{INP_R 16 0 "> "
{TEXT 0 35 "f2 :=  mtaylor(f(x,y),[x=0,y=0],3);"}}{OUT_R 17 0 16
{DAG :3n3\`f2`*5n3\`x`j2x0001n3\`y`p6}}{COM_R 18 0{TEXT 1 78 "\01
5Next convert the expression  f2  to a function with the procedur
e \"unapply\".\015"}}{INP_R 19 0 "> "{TEXT 0 22 "f2 := unapply(f2
,x,y);"}}{OUT_R 20 0 19{DAG :3n3\`f2`@8,3n3\`x`n3\`y`,1,3n5\`oper
ator`n4\`arrow`p9*5a2x0001j2x0001a2x0002p16p9p9}}{COM_R 21 0{TEXT
 1 175 "\015Some graphical comparisons of the function  f with it
s quadratic approximation f2 will now be made. Plots of  f   and \+
 f2  are created by the following two Maple V commands.\015"}}
{INP_R 22 0 "> "{TEXT 0 40 "P1 := plot3d(f(x,y),x=-Pi..Pi,y=-Pi..
Pi,"}}{INP_R 23 0 "> "{TEXT 0 42 "orientation=[45,60],style=PATCH
CONTOUR):\";"}}{INP_R 24 0 "> "{TEXT 0 41 "P2 := plot3d(f2(x,y),x
=-Pi..Pi,y=-Pi..Pi,"}}{INP_R 25 0 "> "{TEXT 0 42 "orientation=[45
,60],style=PATCHCONTOUR):\";"}}{COM_R 26 0{TEXT 1 0 ""}}{COM_R 27
 0{TEXT 1 236 "In order to illustrate that the quadratic approxim
ation is a pretty good estimate for  f(x,y)  near the origin the \+
Maple V   \"plots[display]\" is used to display both functions si
multaneously in over the small square  -.5..0.5,-.5..0.5.\015"}}
{INP_R 28 0 "> "{TEXT 0 55 "plots[display](\{P1,P2\},view=[-.5..0
.5,-.5..0.5,-1..1]);"}}{COM_R 29 0{TEXT 1 0 ""}}{COM_R 30 0{TEXT 
1 49 "Plotting over the larger square -Pi..Pi,-Pi..Pi.\015"}}
{INP_R 31 0 "> "{TEXT 0 24 "plots[display](\{P1,P2\});"}}{COM_R 
32 0{TEXT 1 0 ""}}{COM_R 33 0{TEXT 1 86 "We finish by comparing c
ontour plots of the function and its quadratic approximation.\015
"}}{INP_R 34 0 "> "{TEXT 0 54 "plot3d(f(x,y),x=-Pi..Pi,y=-Pi..Pi,
orientation=[270,0],"}}{COM_R 35 0{TEXT 1 0 ""}}{INP_R 36 0 "> "
{TEXT 0 15 "style=contour);"}}{COM_R 37 0{TEXT 1 0 ""}}{INP_R 38 
0 "> "{TEXT 0 55 "plot3d(f2(x,y),x=-Pi..Pi,y=-Pi..Pi,orientation=
[270,0],"}}{INP_R 39 0 "> "{TEXT 0 15 "style=contour);"}}{SEP_R 
40 0}{INP_R 41 0 "> "{TEXT 0 0 ""}}}{END}
