{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 52{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 46 "Chapter 14.2 Parametric Equations of Surfaces "}}
{COM_R 4 0{TEXT 1 262 "As with the implicit representation of a c
ircle,  the implicit representation  of a sphere may require a pi
ece meal approach when making plots.  In order to plot the graph \+
of the sphere   \011\012                                         \+
               x^2+y^2+z^2 = 4 "}}{COM_R 5 0{TEXT 1 77 " we could
 solve for  z  and obtain a parameterization for the lower half w
ith"}}{COM_R 6 0{TEXT 1 52 "  z = f1(x,y) = - sqrt\{4-x^2-y^2\}, \+
 0 <=  x^2+y^2=4 "}}{COM_R 7 0{TEXT 1 33 "and obtain a plot with \+
\" plot3d\"."}}{COM_R 8 0{TEXT 1 0 ""}}{INP_R 9 0 "> "{TEXT 0 66 
"P1 := plot3d(-sqrt(4-x^2-y^2),x=-2..2,y=-sqrt(4-x^2)..sqrt(4-x^2
),"}}{INP_R 10 0 "> "{TEXT 0 37 "style=patchnogrid,numpoints=2500
):\"; "}}{COM_R 11 0{TEXT 1 0 ""}}{COM_R 12 0{TEXT 1 55 "In order
 to get the top half we type in the following:\015"}}{INP_R 13 0 
"> "{TEXT 0 65 "P2 := plot3d(sqrt(4-x^2-y^2),x=-2..2,y=-sqrt(4-x^
2)..sqrt(4-x^2),"}}{INP_R 14 0 "> "{TEXT 0 36 "style=patchnogrid,
numpoints=2500):\";"}}{COM_R 15 0{TEXT 1 0 ""}}{COM_R 16 0{TEXT 1
 54 "Finally,  to put both plots at the same time we write."}}
{COM_R 17 0{TEXT 1 1 " "}}{INP_R 18 0 "> "{TEXT 0 12 "with(plots)
:"}}{INP_R 19 0 "> "{TEXT 0 49 "display(\{P1,P2\},axes=normal,sca
ling=constrained);"}}{COM_R 20 0{TEXT 1 336 "\015This is analogou
s to the procedure that was use in plotting a circle when its imp
licit equation is given in rectangular coordinates. Just as with \+
the situation for a circle,  there is a parameterization which en
ables us to plot the graph with just one set of defining equation
s. From a well known trigonmetric identity you can see that"}}
{COM_R 21 0{TEXT 1 70 "                x = 2 sin(u) cos(v),  y = \+
2 sin(u) sin(v),  z = cos(u)"}}{COM_R 22 0{TEXT 1 91 "provides a \+
 parametric representation for the entire sphere if 0<= u <= Pi, \+
 0 <= v <= 2Pi."}}{COM_R 23 0{TEXT 1 65 "The sphere can thus also
 be plotted with thje following command.\015"}}{INP_R 24 0 "> "
{TEXT 0 68 "plot3d([2*sin(u)*cos(v),2*sin(u)*sin(v),2*cos(u)],u=0
..Pi,v=0..2*Pi,"}}{INP_R 25 0 "> "{TEXT 0 51 "scaling=constrained
,axes=normal,style=patchnogrid);"}}{COM_R 26 0{TEXT 1 0 ""}}
{COM_R 27 0{TEXT 1 190 "Example: Find a parameterizations for the
 bottom half of  the cone that  intersects the $z =0$ plane in th
e circle x^2 + y^2 = 4  and whose vertex is located a height 8 ab
ove the plane z=0. "}}{COM_R 28 0{TEXT 1 91 "Solution:  An implic
it equation for the entire cone is seen to be (4 -z/8) = sqrt(x^2
+y^2),"}}{COM_R 29 0{TEXT 1 80 " and thus the following use of \"
implicitplot3d\" produces a plot of the  surface."}}{COM_R 30 0
{TEXT 1 0 ""}}{INP_R 31 0 "> "{TEXT 0 59 "implicitplot3d(4*(1-z/8
)^2=x^2+y^2,x=-3..3,y=-3..3,z=-1..8,"}}{INP_R 32 0 "> "{TEXT 0 21
 "style = patchnogrid);"}}{COM_R 33 0{TEXT 1 23 "You can verify t
hat if "}}{COM_R 34 0{TEXT 1 63 "                x = (1-u/8) cos(
v),  y = (1-u/8) sin(v),  z = u"}}{COM_R 35 0{TEXT 1 139 "for 0 <
= u <=8,  0 <= v <= 2Pi,   then the point  (x,y,z)  lies on the c
one.  Thus the following command plots the bottom half of the con
e."}}{COM_R 36 0{TEXT 1 0 ""}}{INP_R 37 0 "> "{TEXT 0 59 "plot3d(
[(1-u/8)*cos(v),(1-u/8)*sin(v),u],u=0..8,v=0..2*Pi, "}}{INP_R 38 
0 "> "{TEXT 0 21 " style= patchnogrid);"}}{COM_R 39 0{TEXT 1 0 ""
}}{COM_R 40 0{TEXT 1 66 " Example: Plot the torus which is create
d by revolving the circle "}}{COM_R 41 0{TEXT 1 41 "             \+
           (x-1)^2 + z^2 = 4"}}{COM_R 42 0{TEXT 1 57 "about the  \+
z- axis.   After verifying that the equations "}}{COM_R 43 0{TEXT
 1 1 " "}}{COM_R 44 0{TEXT 1 73 "x = 2 cos(u) + cos(v)*cos(u),  y
 = 2 sin(u) + cos(v)(sin(u),  z = sin(v) "}}{COM_R 45 0{TEXT 1 96
 " give  a parameterization for this torus  it is easy to see tha
t  the the next command plots it."}}{COM_R 46 0{TEXT 1 13 "\\begi
n\{maple\}"}}{COM_R 47 0{TEXT 1 1 " "}}{INP_R 48 0 "> "{TEXT 0 62
 "plot3d([2*cos(u)+cos(v)*cos(u),2*sin(u)+cos(v)*sin(u),sin(v)],"
}}{INP_R 49 0 "> "{TEXT 0 35 "u=0..2*Pi,v=0..2*Pi,style = patch);
"}}{COM_R 50 0{TEXT 1 0 ""}}{COM_R 51 0{TEXT 1 0 ""}}{SEP_R 52 0}
{INP_R 53 0 "> "{TEXT 0 0 ""}}}{END}
