{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 84{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 45 "Chapter 11.1  Functions Given in Tabular Form"}}
{COM_R 4 0{TEXT 1 179 "  During the Winter you have probably hear
d weather reporters on radio or TV use the term \"wind chill fact
or\", which is a function that depends on wind speed and air temp
erature. "}}{COM_R 5 0{TEXT 1 185 "Table 1 illustrates that   win
d chill (how cold it feels) in degrees Fahrenheit can be obtained
 as a function of wind speed in miles per hour and air temperatur
e in degrees Fahrenheit. "}}{COM_R 6 0{TEXT 1 32 "               \+
                 "}}{COM_R 7 0{TEXT 1 84 "                       \+
                         Air Temperature (Degrees Fahrenheit)"}}
{COM_R 8 0{TEXT 1 110 "                                  | 25  | \+
30 | 25  | 20   | 15   | 10  |  5       |  0      |  -5    | -10 \+
 | "}}{COM_R 9 0{TEXT 1 105 "                         |  5   | 32
  | 27 |  22  | 16   | 11   |  6    |  0      | -5    | -10  | -1
5  |"}}{COM_R 10 0{TEXT 1 98 "                         |10  |  22
 | 16  | 10  |  3    | -3   |  -9  | -15 | -22 | -27  | -34  | "}
}{COM_R 11 0{TEXT 1 91 "Wind               \011| 15 |  16 |   9  \+
|   2   | -5   |-11 |-18  | -25 | -31 | -38  | - 45 |"}}{COM_R 12
 0{TEXT 1 87 "Speed\011             | 20 |  12 |  4   |  -3  |-10
 |-17 | -24 | -31 | -39 | -46  | -53  |"}}{COM_R 13 0{TEXT 1 88 "
(mph)\011             | 25 |   8  |  1   |  -7  |-15 | -22 |-29 |
 -36  | -44 | -51 | -59  |"}}{COM_R 14 0{TEXT 1 92 "             \+
            | 30 |   6  | -2  | -10 |-18 | -25 |-33 | -41 | -49 |
 -56 |  -64  |"}}{COM_R 15 0{TEXT 1 93 "                         \+
| 35 |   4  | -4  | -12 |-20 | -27 |-35 | -43 | -52 | -58 |  -67 \+
 | "}}{COM_R 16 0{TEXT 1 92 "                         | 40 |   3 \+
 | -5  | -13 |-21 | -29 |-37 | -45 | -53 | -60 |  -69  |"}}{COM_R
 17 0{TEXT 1 94 "                          | 45 |   2  |  -6 | -1
4 |-22 | -30 | -38| -46 | -54 | -62 |  -70  |\015"}}{COM_R 18 0
{TEXT 1 282 "To illustrate how Table 1 is used you may ask how co
ld does it feel if the wind is blowing at a speed of 15 miles per
 hour and the air temperature is 20 deg F.  By moving horizontall
y along the row headed by 15 until you reach the column headed by
 20 you can see that the wind chill"}}{COM_R 19 0{TEXT 1 13 "is  \+
-5 deg F."}}{COM_R 20 0{TEXT 1 337 "We have seen that functions o
f one variable may be represented in three different ways:  in ta
ble form,  graphically,  or by means of a formula.  When data is \+
given in tabular form one can use the Maple V procedure  \"surfda
ta\" to plot a surface representing the function.  This procedure
 is part of the Maple V library package \"plots\".  "}}{INP_R 21 
0 "> "{TEXT 0 12 "with(plots):"}}{INP_R 22 0 "> "{TEXT 0 61 "L :=
 [[[5,35,32],[10,35,22],[15,35,16],[20,35,12],[25,35,8], "}}
{INP_R 23 0 "> "{TEXT 0 64 "[30,35,6],[35,35,4],[40,35,3],[45,35,
2]],[[5,30,27],[10,30,16], "}}{INP_R 24 0 "> "{TEXT 0 72 "[15,30,
9],[20,30,4],[25,30,1],[30,30,-2],[35,30,-4],[40,30,-5], [45,30,-
"}}{INP_R 25 0 "> "{TEXT 0 68 "6]],[[5,25,22],[10,25,10], [15,25,
2], [20,25,-3],[25,25,-7],[30,25,-"}}{INP_R 26 0 "> "{TEXT 0 74 "
10],[35,25,-12],[40,25,-13],[45,25,-14]],[[5,20,16],[10,20,3],[15
,20,-5], "}}{INP_R 27 0 "> "{TEXT 0 74 "[20,20,-10],[25,20,-15],[
30,20,-18],[35,20,-20],[40,20,-21],[45,20,-22]], "}}{INP_R 28 0 "
> "{TEXT 0 72 "[[5,15,11],[10,15,-3],[15,15,-11], [20,15,-17],[25
,15,-22],[30,15,-25], "}}{INP_R 29 0 "> "{TEXT 0 71 "[35,15,-27],
[40,15,-29],[45,15,-30]],[[5,10,6],[10,10,-9],[15,10,-18], "}}
{INP_R 30 0 "> "{TEXT 0 74 "[20,10,-24],[25,10,-29],[30,10,-33],[
35,10,-35],[40,10,-37],[45,10,-38]], "}}{INP_R 31 0 "> "{TEXT 0 
71 "[[5,5,0],[10,5,-15],[15,5,-25],[20,5,-31],[25,5,-36],[30,5,-4
1],[35,5,-"}}{INP_R 32 0 "> "{TEXT 0 71 "43],[40,5,-45],[45,5,-46
]],[[5,0,-5],[10,0,-22],[15,0,-31],[20,0,-39], "}}{INP_R 33 0 "> \+
"{TEXT 0 74 "[25,0,-44],[30,0,-49],[35,0,-52],[40,0,-53] ,[45,0,-
54]],[[5,-5,-10],[10,-"}}{INP_R 34 0 "> "{TEXT 0 73 "5,-27],[15,-
5,-38],[20,-5,-46],[25,-5,-51], [30,-5,-56],[35,-5,-58],[40,-"}}
{INP_R 35 0 "> "{TEXT 0 69 "5,-60], [45,-5,-62]],[[5,-10,-15],[10
,-10,-34],[15,-10,-45],[20,-10,-"}}{INP_R 36 0 "> "{TEXT 0 71 "53
],[25,-10,-59],[30,-10,-64],[35,-10,-67],[40,-10,-69],[45,-10,-70
]]]:"}}{COM_R 37 0{TEXT 1 0 ""}}{COM_R 38 0{TEXT 1 382 "Study the
 positioning of the brackets in the preceding Maple V statement, \+
 since the \" surfdata\" command is not very friendly.  Once the \+
data from Table 1 has been entered the surface can be plotted.   \+
There are a number of options that can be used with \"surfdata\",
 as well as any  Maple V three dimensional plot routines.  To get
 a complete list of these options issue the command:"}}{COM_R 39 
0{TEXT 1 58 "                                        > ?plot3d[op
tions]"}}{COM_R 40 0{TEXT 1 88 "The only options that will be use
d in this lesson are \"style\",  \"axes\",  and \"label\".\015\01
5\015"}}{INP_R 41 0 "> "{TEXT 0 18 "P1 := surfdata(L):"}}{INP_R 
42 0 "> "{TEXT 0 59 "display(P1,style=PATCHCONTOUR,axes=FRAMED,la
bels=[W,T,WC]);"}}{COM_R 43 0{TEXT 1 558 "\015The option \"PATCHC
ONTOUR\" is one of seven \"style\" options and it caused the surf
ace to have a shaded coloring along with contour or level curves.
  The option \"FRAMED\" we chose is one of four axes styles and c
auses the figure to have the axes style that it has.  The option \+
 \"labels\" instructed Maple V to label the coordinate axes,   W \+
 (wind speed),    T  (air temperature),    WC ,  (wind chill). Af
ter you execute a Maple V three dimensional plot procedure,  a ne
w window, which contains the plot,  will appear on the sceen. Onc
e you have the plot window"}}{COM_R 44 0{TEXT 1 522 "you may inte
ractively change a number of the options within the plot.  For ex
ample,  by using the pull down menu associated with the window yo
u may change the \"style\",  \"color\",  \"axes\",  or\"projectio
n\" options.  The \"style\" menu has seven different choices.  Us
e the mouse button to select and choose the \"style\" option \"co
ntour\".  The new plot,  illustrating ten level curves of wind ch
ill temperatures, should look like Figure 2.  If you want to writ
e a Maple V command that will give you Figure 2 directly then typ
e in"}}{COM_R 45 0{TEXT 1 0 ""}}{INP_R 46 0 "> "{TEXT 0 54 "displ
ay(P1,style=CONTOUR,axes=FRAMED,labels=[W,T,WC]);"}}{COM_R 47 0
{TEXT 1 523 "\015Figures  1  and 2 are representations on the pla
ne of the page  of a surface which lies in three space.  Meteorol
ogists use the term ``extreme cold'' when refering to wind chill \+
temperatures below -20 deg F.    Figure 3  illustrates how the wi
nd chill surface compares with a plane parallel to the plane of w
ind speed and air temperature which is at a constant wind chill f
actor of -20 deg F.  The following Maple V segment generates the \+
horizontal plane  WC=-20  and the wind chill surface on the same \+
coordinate system.\015"}}{INP_R 48 0 "> "{TEXT 0 36 "P2 := plot3d
(-20,x=5..45,y=-10..35):"}}{INP_R 49 0 "> "{TEXT 0 64 "display(\{
P1,P2\},style=PATCHCONTOUR,axes=FRAMED,labels=[W,T,WC]);"}}{COM_R
 50 0{TEXT 1 0 ""}}{COM_R 51 0{TEXT 1 471 "In Figure 3  temperatu
res below the plane represent wind chill temperatures  that are i
n a state of extreme cold.  Sometimes it is a help  in visualizin
g three dimensional objects to focus on level curves or contours.
  If you click the mouse button when the cursor is in the window \+
used for Figure 1 ,  and select the \"style\" option \"contour\" \+
then you will get a surface like the one shown in Figure  4. Type
  in the following Maple V segment to obtain Figure 4 directly\01
2"}}{COM_R 52 0{TEXT 1 0 ""}}{INP_R 53 0 "> "{TEXT 0 54 "display(
P1,style=CONTOUR,axes=FRAMED,labels=[W,T,WC]);"}}{COM_R 54 0{TEXT
 1 0 ""}}{COM_R 55 0{TEXT 1 0 ""}}{COM_R 56 0{TEXT 1 0 ""}}{COM_R
 57 0{TEXT 1 514 "Another way of representing this function graph
ically is to plot the data along contour curves on planar axes. S
ee Figure 5. This can be thought of as looking straight down the \+
vertical axes  WC   at the surface.  One way to do this is to cli
ck the  mouse button in the first plot window and turn framed box
 until the values of  \"Theta\"  and  \"Phi\"  are equal to 270 a
nd 0 respectively .  If you wish to  issue a Maple V command that
 creates Figure 5 (except fo the labeling)  directly then conside
r the following\015"}}{INP_R 58 0 "> "{TEXT 0 61 "display(\{P1\},
style=CONTOUR,orientation = [270,0],axes=FRAMED,"}}{INP_R 59 0 ">
 "{TEXT 0 19 "labels = [W,C,WC]);"}}{COM_R 60 0{TEXT 1 0 ""}}
{COM_R 61 0{TEXT 1 233 "We have not explained how to label the le
vel curves.  We can accomplish this by using the \"textplot3d\"  \+
command contained in the \"plots\" package.  The syntax for this \+
command is  \011\012                        \"textplot3d( L, opti
ons) \"  "}}{COM_R 62 0{TEXT 1 87 "where  L  is either a list wit
h four components or a set consisting of such lists.  The"}}
{COM_R 63 0{TEXT 1 301 "first three components of the list are th
e coordinates in three space where you wish to have text written \+
on your three dimensional plot and the fourth component is a stri
ng with the text that you want written.  The next Maple V segment
 shows how to use \"textplot3d\" to label some of the level curve
s."}}{COM_R 64 0{TEXT 1 0 ""}}{INP_R 65 0 "> "{TEXT 0 45 "T1 := t
extplot3d([5,30,27,`27`],color=BLACK):"}}{INP_R 66 0 "> "{TEXT 0 
45 "T2 := textplot3d([5,20,16,`16`],color=BLACK):"}}{INP_R 67 0 "
> "{TEXT 0 44 "T3 := textplot3d([25,30,1,`1`],color=BLACK):"}}
{INP_R 68 0 "> "{TEXT 0 48 "T4 := textplot3d([35,20,-20,`-20`],co
lor=BLACK):"}}{INP_R 69 0 "> "{TEXT 0 72 "display(\{P1,T1,T2,T3,T
4\},orientation =[270,0],style=CONTOUR,axes=FRAMED,"}}{INP_R 70 0
 "> "{TEXT 0 50 "labels = [W,T,``],view = [0..50,-15..40,-80..40]
);"}}{COM_R 71 0{TEXT 1 0 ""}}{COM_R 72 0{TEXT 1 387 " In the pre
ceding command we introduced the option  \"view\" in order to giv
e some empty space between the graph and axes.  There are other s
ubjective terms used to describe wind chill temperature:  if the \+
wind chill is below 32 deg F then the weather is said to be \"col
d\",  when below about 15 deg F \"very cold\", when below 0 deg F
 \"bitter cold\",  and when below -20 degF \"extreme cold\"\015."
}}{INP_R 73 0 "> "{TEXT 0 48 "T5 := textplot3d([8,35,32,`COLD`],c
olor =BLACK):"}}{INP_R 74 0 "> "{TEXT 0 53 "T6 := textplot3d([14,
25,0,`VERY COLD`],color =BLACK):"}}{INP_R 75 0 "> "{TEXT 0 55 "T7
 := textplot3d([20,20,0,`BITTER COLD`],color =BLACK):"}}{INP_R 76
 0 "> "{TEXT 0 56 "T8 := textplot3d([28,10,0,`EXTREME COLD`],colo
r =BLACK):"}}{INP_R 77 0 "> "{TEXT 0 68 "display(\{P1,T1,T2,T3,T4
,T5,T6,T7,T8\},view = [0..50,-15..40,-80..40],"}}{INP_R 78 0 "> "
{TEXT 0 49 "style=contour,orientation = [270,0],axes=FRAMED);"}}
{COM_R 79 0{TEXT 1 0 ""}}{COM_R 80 0{TEXT 1 0 ""}}{COM_R 81 0
{TEXT 1 104 "In the next graph we use the plot of the plane WC = \+
-20 to shade the region where extreme cold occurs. \015"}}{INP_R 
82 0 "> "{TEXT 0 70 "display(\{P1,P2,T1,T2,T3,T4\},orientation=[2
70,0],view = [0..50,-15..40,"}}{INP_R 83 0 "> "{TEXT 0 41 "-80..4
0],style=PATCHCONTOUR,axes=FRAMED);"}}{SEP_R 84 0}{INP_R 85 0 "> \+
"{TEXT 0 0 ""}}}{END}
