{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 139{INP_R 2 0 "> "{TEXT 0 0 ""}}{COM_R 3 0
{TEXT 1 44 "Chapter 14.7 Surface Integrals with Maple V "}}{COM_R
 4 0{TEXT 1 71 "Maple V can be useful in calculating surface inte
grals of vector fields"}}{COM_R 5 0{TEXT 1 30 "over a  parameteri
zed surface."}}{COM_R 6 0{TEXT 1 0 ""}}{INP_R 7 0 "> "{TEXT 0 24 
"f := 'f':g:= 'g':h:='h':"}}{INP_R 8 0 "> "{TEXT 0 13 "with(linal
g):"}}{INP_R 9 0 "> "{TEXT 0 42 "F := vector([f(x,y,z),g(x,y,z),h
(x,y,z)]);"}}{INP_R 10 0 "> "{TEXT 0 36 "R := vector([x(u,v),y(u,
v),z(u,v)]);"}}{INP_R 11 0 "> "{TEXT 0 20 "Ru := map(diff,R,u);"}
}{INP_R 12 0 "> "{TEXT 0 20 "Rv := map(diff,R,v);"}}{INP_R 13 0 "
> "{TEXT 0 23 "NS := crossprod(Ru,Rv);"}}{COM_R 14 0{TEXT 1 88 "\
015This last Maple V output gives the normal vector to the surfac
e.  Now the flux integral"}}{COM_R 15 0{TEXT 1 18 "can be calcula
ted."}}{COM_R 16 0{TEXT 1 0 ""}}{INP_R 17 0 "> "{TEXT 0 59 "Int(F
,R=S..NULL) = Int(Int(subs(x=x(u,v),y=y(u,v),z=z(u,v),"}}{INP_R 
18 0 "> "{TEXT 0 31 "dotprod(F,NS)),u=a..b),v=c..d);"}}{COM_R 19 
0{TEXT 1 0 ""}}{COM_R 20 0{TEXT 1 63 "Example:   Evaluate the sur
face integral for  the vector field "}}{COM_R 21 0{TEXT 1 74 "   \+
                                                     F = <x, y, -
2z>   "}}{COM_R 22 0{TEXT 1 34 "over the upper half of the sphere
 "}}{COM_R 23 0{TEXT 1 78 "                                      \+
                  x^2 + y^2 + z^2 = a^2."}}{COM_R 24 0{TEXT 1 0 "
"}}{COM_R 25 0{TEXT 1 44 "Solution:  One  parameterization is giv
en by"}}{COM_R 26 0{TEXT 1 65 "        x = a  cos(u) sin (v),  y \+
= a sin(u) sin(v),  z = a cos v"}}{COM_R 27 0{TEXT 1 0 ""}}{INP_R
 28 0 "> "{TEXT 0 13 "with(linalg):"}}{INP_R 29 0 "> "{TEXT 0 24 
"F := vector([x,y,-2*z]);"}}{INP_R 30 0 "> "{TEXT 0 56 "R := vect
or([a*cos(u)*cos(v),a*sin(u)*cos(v),a*sin(v)]);"}}{INP_R 31 0 "> \+
"{TEXT 0 20 "Ru := map(diff,R,u);"}}{INP_R 32 0 "> "{TEXT 0 20 "R
v := map(diff,R,v);"}}{INP_R 33 0 "> "{TEXT 0 23 "NS := crossprod
(Ru,Rv);"}}{INP_R 34 0 "> "{TEXT 0 23 "NS := map(simplify,NS);"}}
{INP_R 35 0 "> "{TEXT 0 46 "H := subs(x=R[1],y=R[2],z=R[3],dotpro
d(NS,F));"}}{INP_R 36 0 "> "{TEXT 0 17 "H := simplify(H);"}}
{INP_R 37 0 "> "{TEXT 0 32 "int(int(H,u=0..Pi/2),v=0..2*Pi);"}}
{COM_R 38 0{TEXT 1 0 ""}}{COM_R 39 0{TEXT 1 45 "Thus the value of
 this surface integral is 0."}}{COM_R 40 0{TEXT 1 69 "As another \+
example consider the surface  S  which is bounded below by"}}
{COM_R 41 0{TEXT 1 71 "                                          \+
               z = x ^2 + y^2"}}{COM_R 42 0{TEXT 1 28 " and above
 by the paraboloid"}}{COM_R 43 0{TEXT 1 68 "                     \+
                            z =  4 - x^2 - y^2."}}{COM_R 44 0
{TEXT 1 0 ""}}{INP_R 45 0 "> "{TEXT 0 13 " with(plots):"}}{COM_R 
46 0{TEXT 1 0 ""}}{COM_R 47 0{TEXT 1 42 "We define our surface wi
th the expressions"}}{COM_R 48 0{TEXT 1 0 ""}}{INP_R 49 0 "> "
{TEXT 0 47 "z:= 'z': y := 'y': x := 'x': bottom := x^2+y^2;"}}
{INP_R 50 0 "> "{TEXT 0 18 "top := 4 -x^2-y^2;"}}{INP_R 51 0 "> "
{TEXT 0 49 "B:= cylinderplot(sqrt(z),theta=0..2*Pi,z=0..2):\";"}}
{INP_R 52 0 "> "{TEXT 0 52 "T := cylinderplot(sqrt(4-z),theta=0..
2*Pi,z=2..4):\";"}}{INP_R 53 0 "> "{TEXT 0 60 "display3d(\{B,T\},
axes=NORMAL,style=PATCH,scaling=CONSTRAINED,"}}{INP_R 54 0 "> "
{TEXT 0 21 "orientation=[45,75]);"}}{COM_R 55 0{TEXT 1 56 "\015Le
t us assume that the density of the material that the"}}{COM_R 56
 0{TEXT 1 26 "surface is composed of  is"}}{COM_R 57 0{TEXT 1 70 
"                                                d(x,y,z) = z/Pi \+
+ 1/Pi"}}{COM_R 58 0{TEXT 1 194 " and our problem is to calculate
 the total mass of the surface.  This amounts to  computing the s
urface integral of  d(x,y,z)  over each of the two parts:  the  t
op and the bottom and adding the"}}{COM_R 59 0{TEXT 1 8 "results.
"}}{COM_R 60 0{TEXT 1 0 ""}}{INP_R 61 0 "> "{TEXT 0 15 "d := z/Pi
+1/Pi;"}}{COM_R 62 0{TEXT 1 0 ""}}{COM_R 63 0{TEXT 1 40 "Paramete
rizations for these surfaces are"}}{COM_R 64 0{TEXT 1 0 ""}}
{INP_R 65 0 "> "{TEXT 0 33 "Rbottom := vector([u,v,u^2+v^2]);"}}
{INP_R 66 0 "> "{TEXT 0 31 "Rtop :=vector([u,v,4-u^2-v^2]);"}}
{COM_R 67 0{TEXT 1 0 ""}}{COM_R 68 0{TEXT 1 48 "The normal for th
e bottom will now be computed.\015"}}{INP_R 69 0 "> "{TEXT 0 64 "
Rbottomu := map(diff,Rbottom,u); Rbottomv:= map(diff,Rbottom,v);"
}}{INP_R 70 0 "> "{TEXT 0 40 "Nbottom := crossprod(Rbottomu,Rbott
omv);"}}{COM_R 71 0{TEXT 1 69 "For this problem below we want Nbo
ttom to have  z  component pointing"}}{COM_R 72 0{TEXT 1 15 "down
  so write:"}}{COM_R 73 0{TEXT 1 0 ""}}{INP_R 74 0 "> "{TEXT 0 33
 "Nbottom := scalarmul(Nbottom,-1);"}}{INP_R 75 0 "> "{TEXT 0 45 
"magNBottom := sqrt(dotprod(Nbottom,Nbottom));"}}{INP_R 76 0 "> "
{TEXT 0 42 "H := subs(x=u,y=v,z=u^2+v^2,d)*magNBottom;"}}{COM_R 
77 0{TEXT 1 110 "It follows that a double integral which is equal
 to the mass of the bottom  surface is given by the following:"}}
{COM_R 78 0{TEXT 1 0 ""}}{INP_R 79 0 "> "{TEXT 0 69 "Bmass := Int
(Int(H,v=-sqrt(2-u^2)..sqrt(2-u^2)),u=-sqrt(2)..sqrt(2));"}}
{COM_R 80 0{TEXT 1 58 "This integral is pretty hard to evaluate e
ven with Maple V"}}{COM_R 81 0{TEXT 1 0 ""}}{INP_R 82 0 "> "{TEXT
 0 13 "value(Bmass);"}}{COM_R 83 0{TEXT 1 0 ""}}{COM_R 84 0{TEXT 
1 146 "Thus Maple V was unable to compute the exact value of this
 integral in its  present form.  But we can get a numerical appro
ximation using \"evalf\"."}}{COM_R 85 0{TEXT 1 0 ""}}{INP_R 86 0 
"> "{TEXT 0 9 "evalf(\");"}}{COM_R 87 0{TEXT 1 89 "If we use our \+
head a little bit we can simplify the preceding double integral  \+
with polar"}}{COM_R 88 0{TEXT 1 18 "coordinates,  then"}}{COM_R 
89 0{TEXT 1 0 ""}}{INP_R 90 0 "> "{TEXT 0 58 "Bmass := Int(Int((r
^2+1)/Pi*sqrt(4*r^2+1)*r,r=0..sqrt(2)),"}}{INP_R 91 0 "> "{TEXT 0
 15 "theta=0..2*Pi);"}}{INP_R 92 0 "> "{TEXT 0 18 "Bmass := value
(\");"}}{COM_R 93 0{TEXT 1 36 "Now we do the same thing for the t
op"}}{COM_R 94 0{TEXT 1 0 ""}}{INP_R 95 0 "> "{TEXT 0 53 "Rtopu :
= map(diff,Rtop,u); Rtopv := map(diff,Rtop,v);"}}{INP_R 96 0 "> "
{TEXT 0 31 "Ntop := crossprod(Rtopu,Rtopv);"}}{INP_R 97 0 "> "
{TEXT 0 36 "magNtop := sqrt(dotprod(Ntop,Ntop));"}}{INP_R 98 0 ">
 "{TEXT 0 41 "H := subs(x=u,y=v,z=4-u^2-v^2,d)*magNtop;"}}{COM_R 
99 0{TEXT 1 0 ""}}{COM_R 100 0{TEXT 1 39 "Converting to polar coo
rdinates we have"}}{COM_R 101 0{TEXT 1 0 ""}}{INP_R 102 0 "> "
{TEXT 0 43 "H := subs(u=r*cos(theta),v=r*sin(theta),H);"}}{INP_R 
103 0 "> "{TEXT 0 17 "H := simplify(H);"}}{INP_R 104 0 "> "{TEXT 
0 50 "Tmass := Int(Int(H*r,r=0..sqrt(2)),theta=0..2*Pi);"}}{INP_R
 105 0 "> "{TEXT 0 22 "Tmass := value(Tmass);"}}{INP_R 106 0 "> "
{TEXT 0 23 "Total := Bmass + Tmass;"}}{COM_R 107 0{TEXT 1 53 "We \+
conclude that the total mass of the surface is 26."}}{COM_R 108 0
{TEXT 1 0 ""}}{COM_R 109 0{TEXT 1 0 ""}}{COM_R 110 0{TEXT 1 207 "
Let us continue with the surface that was defined in the last exa
mple and  assume that we have a vector field  F = <x, y, 1>  give
n.  Now the surface  integral of this vector field over the botto
m surface is"}}{COM_R 111 0{TEXT 1 0 ""}}{INP_R 112 0 "> "{TEXT 0
 21 "F := vector([x,y,1]);"}}{COM_R 113 0{TEXT 1 87 "We now make \+
use of the fact that we oriented the normal vector for the bottom
  surface."}}{COM_R 114 0{TEXT 1 0 ""}}{INP_R 115 0 "> "{TEXT 0 
54 "H := subs(x=u,y=v,z=sqrt(u^2+v^2),dotprod(F,Nbottom));"}}
{INP_R 116 0 "> "{TEXT 0 8 "Bflux :="}}{INP_R 117 0 "> "{TEXT 0 
60 "Int(Int(H,v=-sqrt(2-u^2)..sqrt(2-u^2)),u=-sqrt(2)..sqrt(2));"
}}{INP_R 118 0 "> "{TEXT 0 23 " Bflux := value(Bflux);"}}{COM_R 
119 0{TEXT 1 0 ""}}{COM_R 120 0{TEXT 1 39 "Now we do the same thi
ng using the top."}}{COM_R 121 0{TEXT 1 0 ""}}{INP_R 122 0 "> "
{TEXT 0 52 "H:= subs(x=u,y=v,z=sqrt(4-u^2-v^2),dotprod(F,Ntop));"
}}{INP_R 123 0 "> "{TEXT 0 69 "Tflux := Int(Int(H,v=-sqrt(2-u^2).
.sqrt(2-u^2)),u=-sqrt(2)..sqrt(2));"}}{INP_R 124 0 "> "{TEXT 0 18
 "Tflux := value(\");"}}{INP_R 125 0 "> "{TEXT 0 27 "SurfaceFlux \+
:= Tflux+Bflux;"}}{COM_R 126 0{TEXT 1 0 ""}}{COM_R 127 0{TEXT 1 
180 "We conclude that the flux through the surface due to our vec
tor field is 8Pi.  Can we verify this value using the Divergence \+
Theorem?  We start by computing  the divergence of  F. "}}{COM_R 
128 0{TEXT 1 0 ""}}{INP_R 129 0 "> "{TEXT 0 27 "divF := diverge(F
,[x,y,z]);"}}{INP_R 130 0 "> "{TEXT 0 63 "SurfaceFlux := Int(Int(
Int(divF,z=bottom..top),y=-sqrt(2-x^2).."}}{INP_R 131 0 "> "{TEXT
 0 34 "sqrt(2-x^2)),x=-sqrt(2)..sqrt(2));"}}{INP_R 132 0 "> "
{TEXT 0 34 "SurfaceFlux := value(SurfaceFlux);"}}{SEP_R 133 0}
{INP_R 134 0 "> "{TEXT 0 0 ""}}{COM_R 135 0{TEXT 1 120 "This veri
fies Gauss's Theorem for this problem since both methods for comp
uting  the surface flux yield the same answer."}}{COM_R 136 0
{TEXT 1 0 ""}}{COM_R 137 0{TEXT 1 0 ""}}{COM_R 138 0{TEXT 1 0 ""}
}{COM_R 139 0{TEXT 1 0 ""}}{COM_R 140 0{TEXT 1 0 ""}}}{END}
